Bug 323491 - failed to copy empty file from ftp to another ftp
Summary: failed to copy empty file from ftp to another ftp
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: ftp (show other bugs)
Version: 4.11.0
Platform: Mint (Ubuntu based) Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2013-08-14 12:26 UTC by Ing Swed
Modified: 2014-03-13 05:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ing Swed 2013-08-14 12:26:56 UTC
When copying files that have zero size (empty files) from ftp to another ftp then error rises and on target ftp is only created file.part

Reproducible: Always
Comment 1 Jekyll Wu 2013-08-15 06:03:55 UTC
same problem in dolphin. Reassign to the ftp kio
Comment 2 Dawit Alemayehu 2014-03-13 05:05:12 UTC
Git commit 2dbcc83c25d9b2a8a20b517973f332cf67f57518 by Dawit Alemayehu.
Committed on 02/03/2014 at 07:22.
Pushed by adawit into branch 'KDE/4.12'.

Send the proper mimetype for empty files (0 bytes).
FIXED-IN: 4.12.4
REVIEW: 116523

M  +6    -0    kioslave/ftp/ftp.cpp

http://commits.kde.org/kdelibs/2dbcc83c25d9b2a8a20b517973f332cf67f57518